Subject: Re: linux-next: manual merge of the kmemcheck tree with the tracing tree

From: Ingo Molnar <[email-masked]>
Date: Mon, 1 Jun 2009 21:46:24 +0200

* Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> Today's linux-next merge of the kmemcheck tree got a conflict in
> kernel/trace/ring_buffer.c between commit
> aa20ae8444fc6c318272c643f856d8d8ad3e198d ("ring-buffer: move big if
> statement down") from the tracing tree and commits
> 9b7ff384ee76ced9638ab236db588a6f13916336 ("trace: annotate bitfields in
> struct ring_buffer_event") and 3467e18b1cf34c7d316af5717e7053ce845d014e
> ("kmemcheck: make bitfield annotations be valid C") from the kmemcheck
> tree.
> 
> I fixed it up (see below) and can carry the fix as necessary.

Would be nice if you indicated whether you cross-checked it against 
tip:master, which had most of these conflicts resolved already (for 
weeks).

( this has relevance for the x86 and tracing tree conflicts - 
  kmemleak is not in -tip)

	Ingo